ON_3DM_BIG_CHUNK Struct Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_archive.h>`

## Public Member Functions

ON__UINT64 | Length () const

## Public Attributes

ON__UINT64 | m_big_offset
ON__INT64 | m_big_value
ON__UINT32 | m_typecode
ON__UINT8 | m_bLongChunk
ON__UINT8 | m_reserved1
ON__UINT8 | m_reserved2
ON__UINT8 | m_reserved3
ON__UINT8 | m_do_crc16
ON__UINT8 | m_do_crc32
ON__UINT16 | m_crc16
ON__UINT32 | m_crc32

## Detailed Description

Definition at line 676 of file opennurbs_archive.h.

## Member Function Documentation

## Length()

ON__UINT64 ON_3DM_BIG_CHUNK::Length | ( |  | ) | const

## Member Data Documentation

## m_big_offset

ON__UINT64 ON_3DM_BIG_CHUNK::m_big_offset

Definition at line 678 of file opennurbs_archive.h.

## m_big_value

ON__INT64 ON_3DM_BIG_CHUNK::m_big_value

Definition at line 685 of file opennurbs_archive.h.

## m_bLongChunk

ON__UINT8 ON_3DM_BIG_CHUNK::m_bLongChunk

Definition at line 688 of file opennurbs_archive.h.

## m_crc16

ON__UINT16 ON_3DM_BIG_CHUNK::m_crc16

Definition at line 696 of file opennurbs_archive.h.

## m_crc32

ON__UINT32 ON_3DM_BIG_CHUNK::m_crc32

Definition at line 697 of file opennurbs_archive.h.

## m_do_crc16

ON__UINT8 ON_3DM_BIG_CHUNK::m_do_crc16

Definition at line 694 of file opennurbs_archive.h.

## m_do_crc32

ON__UINT8 ON_3DM_BIG_CHUNK::m_do_crc32

Definition at line 695 of file opennurbs_archive.h.

## m_reserved1

ON__UINT8 ON_3DM_BIG_CHUNK::m_reserved1

Definition at line 689 of file opennurbs_archive.h.

## m_reserved2

ON__UINT8 ON_3DM_BIG_CHUNK::m_reserved2

Definition at line 690 of file opennurbs_archive.h.

## m_reserved3

ON__UINT8 ON_3DM_BIG_CHUNK::m_reserved3

Definition at line 691 of file opennurbs_archive.h.

## m_typecode

ON__UINT32 ON_3DM_BIG_CHUNK::m_typecode

Definition at line 686 of file opennurbs_archive.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_archive.h